<template>
  <div class="post">
    <div class="post-item">
      <nuxt-link :to="'/posts/' + post.slug">
        <img :src="post.thumbnail" alt="Post Image" width="350" height="200" />
        <h2>{{ post.title }}</h2>
        <div class="meta">
          <div class="post-priview">{{ post.previewText }}</div>
          <span>{{ post.updatedDate | timeAgo }} ago</span>
        </div>
      </nuxt-link>
      <nuxt-link :to="'/posts/edit/' + post.slug">Edit</nuxt-link>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    post: {
      type: Object,
      default: () => {},
    },
  },
}
</script>

<style scoped>
.meta {
  color: #595959;
}
.post-item {
  max-width: 350px;
  padding: 10px;
  border: 1px solid #eee;
}
.post-item a {
  text-decoration: none;
  color: #333;
}
</style>
